:root {
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: light dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}

a {
  font-weight: 500;
  color: #646cff;
  text-decoration: inherit;
}

a:hover {
  color: #535bf2;
}

body {
  margin: 0 3rem;
  display: block;
  place-items: center;
  min-width: 320px;
  min-height: 100vh;
}

h1 {
  font-size: 3.2em;
  line-height: 1.1;
}

button {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
}
button:hover {
  border-color: #646cff;
}

button:focus,
button:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

@media (prefers-color-scheme: light) {
  :root {
    color: #213547;
    background-color: #ffffff;
  }
  a:hover {
    color: #747bff;
  }
  button {
    background-color: #f9f9f9;
  }
}

h2 {
  text-align: left;
  padding: 0px;
  margin: 0px;
  width: auto;
}

p {
  margin-block-start: 0em;
  margin-block-end: 0em;
}

.wrapper {
  display: grid;
  gap: 1rem;
  grid-template-columns: 1fr;
}

.header {
  display: block;
}

.card {
  display: block;
  border: 1px solid #DDD;
  width: 24rem;
  float: left;
  background-color: white;
  border-radius: 10px;
  margin-top: 30px;
  padding: 10px 15px;
  text-align: left;
}

.card-body {
  color: #ddb14a;
}

.card-details {
  color: #777;
}

.card-details-volumn {
  float:left;
  min-width: 40%;
  display: flex;
  flex-direction: column;
}

.card-details-change {
  float:right;
  min-width: 40%;
  display: flex;
  flex-direction: column;
}

.rate_increase {
  color: green;
}

.rate_decrease {
  color: red;

}

.error_msg {
  margin-top: 10rem;
  text-align: center;
}

@media screen and (min-width:600px) {
  .wrapper {
    grid-template-columns: repeat(auto-fit, minmax(24rem, 26rem));
  }

  .header {
    display: flex;
    flex-direction: row;
    gap: 1rem;
  }

  .card {
    flex-direction: column;
    text-align: left;
    min-width: 24rem;
  }
}


